Skip to content

updateAccountsReceivableBillingAddress

WRITE

Update accounts receivable billing address.

POST /api/v1/settings/updateAccountsReceivableBillingAddress
curl -X POST '<your-host>/api/v1/settings/updateAccountsReceivableBillingAddress' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "countryCode": "string",
    "phone": "string",
    "fax": "string",
    "email": "string"
  }'

Parameters

ParameterType
email
pattern ^\+[1-9]\d{1,14}$
pattern ^\+[1-9]\d{1,14}$

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "addressLine1": {
      "type": "string"
    },
    "addressLine2": {
      "type": "string"
    },
    "city": {
      "type": "string"
    },
    "state": {
      "type": "string"
    },
    "postalCode": {
      "type": "string"
    },
    "countryCode": {
      "type": "string"
    },
    "phone": {
      "type": "string",
      "pattern": "^\\+[1-9]\\d{1,14}$"
    },
    "fax": {
      "type": "string",
      "pattern": "^\\+[1-9]\\d{1,14}$"
    },
    "email": {
      "type": "string",
      "format": "email"
    }
  }
}